View Issue Details

IDProjectCategoryView StatusLast Update
0003757SOGoWeb Calendarpublic2019-12-11 11:16
ReporterMartin Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version2.3.12 
Fixed in Version2.4.0 
Summary0003757: SOGo in Timezone CEST with daylight savings does change the time of a calender entry 2 hors back every time you edit the entry
Description

Sogo is on a Debian Jessie Server in the timezone CEST with daylight savings.
The SOGo Web Interface is set to Timezone 'Europe/Berlin' language 'German'

When I add an entry for example on 1.7.2016 starting at 10:00 and ending at 11:00 it is placed as an entry staring at 8:00 and ending at 09:00
When I edit the entry again the time inside tells me it is from 8:00 to 9:00 ... but when I save it it is placed at 6:00 to 7:00 and so on every time I edit the entry and just hit save without doing anything.

I looked what is happening at the time in the sogo.log and found this interesting line that seems to be the issue here:

<some timestamp> sogod[<pid>] File NSCalendarDate.m: 1580. In -[NSCalendarDate initWithYear:month:day:hour:minute:second:timeZone:] init non-existent time at start of daylight savings

This line repeats 7 times until the eventslist POST then 9 times again until the eventsblockes POST is done

Steps To Reproduce

Install SOGo on a Server running in CEST. Set your Profile timezone to 'Europe/Berlin' and create an entry. Edit that entry and save it immediately. Continue editing and saving the event and see a timeshift of two hours every time.

Tagscalendar

Activities

Welp1

Welp1

2019-06-02 18:23

reporter   ~0013592

I've exactly the same issue on a Debian Stretch system with SOGo 4.0.7. Also SOGo hosted in Europe/Berlin. It doesn't matter if the user is also in Berlin or Amsterdam.

lbausch

lbausch

2019-11-02 12:01

reporter   ~0013877

Same here with SOGo 4.1.1 on Debian Stretch and Europe/Berlin

tfu

tfu

2019-11-30 07:27

reporter   ~0013943

This might be similar to what is described in bug 4894.
What is your package-source? sources.list?
What gnustep packages have you installed?
apt list --installed | grep -i gnustep

Related Changesets

sogo: v2 2b33d453

2019-12-11 11:13:36

francis

Details Diff
refactor: replace calls to create GMT NSTimeZone instance

Fixes 0003757
Affected Issues
0003757
mod - SOPE/NGCards/IcalElements.m Diff File
mod - SOPE/NGCards/NSCalendarDate+ICal.m Diff File
mod - SOPE/NGCards/NSString+NGCards.m Diff File
mod - SOPE/NGCards/iCalFreeBusy.m Diff File
mod - SoObjects/Appointments/MSExchangeFreeBusySOAPRequest.m Diff File
mod - UI/MainUI/SOGoRootPage.m Diff File
mod - UI/MainUI/SOGoSAML2Actions.m Diff File
mod - UI/MainUI/SOGoUserHomePage.m Diff File

Issue History

Date Modified Username Field Change
2016-07-01 10:52 Martin New Issue
2019-06-02 18:22 Welp1 Tag Attached: calendar
2019-06-02 18:23 Welp1 Note Added: 0013592
2019-11-02 12:01 lbausch Note Added: 0013877
2019-11-30 07:27 tfu Note Added: 0013943
2019-12-11 11:14 francis Changeset attached => sogo v2 2b33d453
2019-12-11 11:14 francis Assigned To => francis
2019-12-11 11:14 francis Resolution open => fixed
2019-12-11 11:16 francis Status new => resolved
2019-12-11 11:16 francis Fixed in Version => 2.4.0